Switcher hardware info
======================

Product info
------------

.. autoclass:: pyatem.field.FirmwareVersionField
   :members:

.. autoclass:: pyatem.field.ProductNameField
   :members:

Hardware contents
-----------------

.. autoclass:: pyatem.field.TopologyField
   :members:

.. autoclass:: pyatem.field.InputPropertiesField
   :members:

.. autoclass:: pyatem.field.MixerEffectConfigField
   :members:

.. autoclass:: pyatem.field.MediaplayerSlotsField
   :members:

Timecode
--------

.. autoclass:: pyatem.field.TimeField
   :members:

.. autoclass:: pyatem.field.TimeConfigField
   :members:


Multiviewer routing
-------------------

.. autoclass:: pyatem.field.MultiviewerPropertiesField
   :members:

.. autoclass:: pyatem.field.MultiviewerInputField
   :members:

.. autoclass:: pyatem.field.MultiviewerVuField
   :members:

.. autoclass:: pyatem.field.MultiviewerSafeAreaField
   :members:
